GNUNET-SETUP(1)

NAME
gnunet-setup - configuring GNUnet

SYNOPSIS
gnunet-setup [OPTIONS] MODE

DESCRIPTION

gnunet-setup can be used to generate and edit the configuration files (gnunetd.conf and gnunet.conf) for GNUnet. gnunet-setup runs in two basic modes, one for editing gnunet.conf and one for editing gnunetd.conf. Depending on which libraries were available when gnunet-setup was build, gnunet-setup will have a curses or GTK user interface. A text-only interface is always available. For a quick initial configuration gnunet-setup offers a wizard (GTK only) that can be used to quickly generate a working gnunetd.conf file.

-h, --help
    print help page

-c FILENAME, --config=FILENAME
    specify location of the configuration file (default: /etc/gnunetd.conf or ~/.gnunet/gnunet.conf, depending on the mode)

-d, --daemon
    generate configuration for gnunetd (gnunetd.conf). If run without this option, gnunet-setup will generate a configuration for GNUnet clients.

-g SECTION:OPTION, --get=SECTION:OPTION
    display the value of the given OPTION from the given SECTION in the configuration file.

-s SECTION:OPTION=VALUE, --set=SECTION:OPTION=VALUE
    set the value of the given OPTION from the given SECTION to the specified VALUE. If this change implies other options also changing, perform those changes as well.

-v, --version
    print the version number

NOTES
Before you can use any GNUnet application you must run gnunet-setup to generate the configuration.  First, run gnunet-setup with the -d option to generate a configuration for gnunetd.  Later, each user of the system should run gnunet-setup without -d to generate his personal configuration.

Depending on your system, gnunet-setup will have a subset of the following modes: config (text), menuconfig (curses), gconfig (GTK), and wizard-gtk (GTK wizard).  The wizards can currently only be used in conjunction with the -d option to configure gnunetd.

FILES

/etc/gnunetd.conf
    gnunetd configuration file (default location).

~/.gnunet/gnunet.conf
    client configuration file (default location).

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunetd(1), gnunet-update(1), gnunetd.conf(5), gnunet.conf(5)